


# lab regex patterns
"""
Activated partial thromboplastin time (aPTT) 25-40 sec 25-40 sec
Albumin (serum) 35-50 g/L 3.5-5.0 g/dL
Amylase (serum) 25-125 IU/L 25-125 U/L
Bicarbonate (HCO3) (serum) 23-29 mmol/L 23-29 mEq/L
Bilirubin (serum)* Neonates (conjugated) 0-10 μmol/L 0-0.6 mg/dL
 (total) 1.7-180 μmol/L 1.0-10.5 mg/dL
 Adults (conjugated) 0-5 μmol/L 0-0.3 mg/dL
 (total) 3-22 μmol/L 0.2-1.3 mg/dL
Bleeding time (Ivy) < 5 min < 5 min
Calcium (serum)**
 Total 2.10-2.50 mmol/L 8.4-10.6 mg/dL
 Ionized 1.15-1.35 mmol/L 4.6-5.1 mg/dL
Calcium (urine) < 6.2 mmol/d < 250 mg/24h
Carcinoembryonic antigen (CEA) (serum) < 3.0 µg/L < 3.0 ng/mL
CO2 (total)** 22-29 mmol/L 22-29 mEq/L
Chloride (serum) 96-106 mmol/L 96-106 mEq/L
Chloride (urine) Infant 2-10 mmol/d 2-10 mEq/24h
 Child 14-50 mmol/d 14-50 mEq/24h
 Adults 110-250 mmol/d 110-250 mEq/24h
Cholesterol (serum)** < 5.2 mmol/L < 200 mg/dL
Cortisol (plasma) 8 AM 170-635 nmol/L 6-23 μg/dL
 4 PM 82-413 nmol/L 3-15 μg/dL
Creatinine (serum) 50-110 μmol/L 0.6-1.2 mg/dL
Creatinine (urine) Males 8.8-17.6 mmol/d 1.0-2.0 g/24h
 Females 7.0-15.8 mmol/d 0.8-1.8 g/24h
Creatine kinase (CK, CPK) - Males (race dependent) 20-215 IU/L 20-215 U/L
 Females (race dependent) 20-160 IU/L 20-160 U/L
Erythrocytes (RBCs) - Children** 4.5-5.1 x 1012/L 4.5-5.1 million/mm3
 Males 4.6-6.2 x 1012/L 4.6-6.2 million/mm3
 Females 4.2-5.4 x 1012/L 4.2-5.4 million/mm3
Ferritin (serum) 20-200 μg/L 20-200 ng/mL
Follicle-stimulating hormone (FSH) (plasma)
 Males 1-10 IU/L 1-10 mU/mL
 Females, premenopausal 20-50 IU/L 20-50 mU/mL
 Females, postmenopausal 40-250 IU/L 40-250 mU/mL
Glucose (fasting) (plasma or serum) 3.9-6.1 mmol/L 70-110 mg/dL
Growth hormone (hGH) (serum, adult) fasting 0-10 μg/L 0-10 ng/mL
Hematocrit - Newborn 0.49-0.54 49-54%
 Children** 0.35-0.49 35-49%
 Males 0.40-0.54 40-54%
 Females 0.37-0.47 37-47%
Hemoglobin (Hb) - Newborn 165-195 g/L 16.5-19.5 g/dL
 Children** 112-165 g/L 11.2-16.5 g/dL
 Males 140-180 g/L 14.0-18.0 g/dL
 Females 120-160 g/L 12.0-16.0 g/dL
High density lipoproteins (HDL) (recommended range) > 0.91 mmol/L > 35 mg/dL
INR 0.9-1.1 0.9-1.1
Iron (serum) - Males 13-31 μmol/L 75-175 μg/dL
 Females 5-29 μmol/L 28-162 μg/dL
Iron binding capacity (serum) (TIBC) 45-73 μmol/L 250-410 μg/dL
Lactate dehydrogenase (LDH) (serum) - Adult 45-90 IU/L 45-90 U/L
 Child 60-170 IU/L 60-170 U/L
 > 60 years old 55-100 IU/L 55-100 U/L
 *Test values are method dependent
**Test values vary with age
***Test values are diet dependent ..../over
Tests SI Units Traditional Units
Leukocytes - Total 3.5-12.0 x 109
/L 3500-12,000/mm3
Differential: Neutrophils 3000-5800 x 106
/L 3000-5800/mm3
 Lymphocytes 1500-3000 x 106
/L 1500-3000/mm3
 Monocytes 300-500 x 106
/L 300-500/mm3
 Eosinophils 50-250 x 106
/L 50-250/mm3
 Basophils 15-50 x 106
/L 15-50/mm3
Low density lipoproteins (LDL) (recommended range) < 3.4 mmol/L < 130 mg/dL
Luteinizing hormone (LH) (serum) – Males 1-9 IU/L 1-9 IU/L
 Females (follicular) 2-10 IU/L 2-10 IU/L
 (mid-cycle) 15-65 IU/L 15-65 IU/L
 (luteal) 1-12 IU/L 1-12 IU/L
 (postmenopausal) 12-65 IU/L 12-65 IU/L
Magnesium (serum) 0.65-1.05 mmol/L 1.3-2.1 mg/dL
Magnesium (urine) 3.0-4.3 mmol/d 6.0-8.5 mEq/24h
Mean corpuscular volume (MCV) 76-100 fL 76-100 µm3
Osmolality (serum) 285-295 mmol/kg 285-295 mOsm/kg
Osmolality (urine) 38-1400 mmol/kg 38-1400 mOsm/kg
Oxygen (arterial saturation) 94-99% 94-99%
Parathyroid hormone (PTH) 1.4-6.8 pmol/L 13.2-64.1 pg/mL
Partial thromboplastin time (PTT) See aPTT See aPTT
pCO2 (arterial) 35-45 mm Hg 35-45 mm Hg
pH (arterial) 7.35-7.45 7.35-7.45
Phosphatase, alkaline (serum) 40-160 IU/L 40-160 U/L
Phosphate - Adults 1.0-1.5 mmol/L 3.0-4.5 mg/dL
 Children 1.3-2.3 mmol/L 4.0-7.0 mg/dL
Platelet count 150-400 x 109
/L 150,000-400,000/mm3
pO2 (arterial) 80-100 mm Hg 80-100 mm Hg
Potassium (serum) - Newborn 3.7-5.9 mmol/L 3.7-5.9 mEq/L
 Infant 4.1-5.3 mmol/L 4.1-5.3 mEq/L
 Child 3.4-4.7 mmol/L 3.4-4.7 mEq/L
 Adult 3.5-5.1 mmol/L 3.5-5.1 mEq/L
Potassium (urine)*** 25-125 mmol/d 25-125 mEq/24h
Progesterone (serum) (adult) - Males 0.0-1.3 nmol/L 0.0-0.4 ng/mL
 Females (follicular) 0.3-4.8 nmol/L 0.1-1.5 ng/mL
 (luteal) 8.0-89.0 nmol/L 2.5-28.0 ng/mL
Prolactin (serum) - Males 1-20 μg/L 1-20 ng/mL
 Females 1-25 μg/L 1-25 ng/mL
Prostate specific antigen (PSA) 0-4.0 µg/L 0-4.0 ng/mL
Protein (serum) - Total 60-80 g/L 6.0-8.0 g/dL
 Albumin 35-55 g/L 3.5-5.5 g/dL
Protein (urine) 10-150 mg/d 10-150 mg/24h
Prothrombin time (PT) 9-12 sec 9-12 sec
Reticulocytes 25-75 x 109
/L 25,000-75,000/mm3
Sedimentation rate (ESR) 0-15 mm/h 0-15 mm/h
Sodium (serum or plasma) 135-145 mmol/L 135-145 mEq/L
Sodium (urine)*** 40-220 mmol/d 40-220 mEq/24h
Specific gravity 1.003-1.030 1.003-1.030
Sperm count 20-150 x 106
/mL 20,000-150,000/mm3
Testosterone - Males 9.5-30 nmol/L 275-875 ng/dL
 Females 0.8-2.6 nmol/L 23-75 ng/dL
 Pregnant females 1.3-6.6 nmol/L 38-190 ng/dL
Thrombin time (plasma) < 17 sec < 17 sec
Thyroid-stimulating hormone (TSH) (serum) - Adults 0.4-4.8 mIU/L 0.4-4.8 mIU/L
 -Term infants: (0-1 day) 1-39 mIU/L 1-39 mIU/L
 (1-4 days) 1-17 mIU/L 1-17 mIU/L
 (2-20 weeks) 1.7-9.1 mIU/L 1.7-9.1 mIU/L
 (21 weeks to 20 years) 0.7-6.4 mIU/L 0.7-6.4 mIU/L
Thyroxine, total (T4) (serum)** 66-155 nmol/L 5-12 μg/dL
Thyroxine, free (FT4) (serum)** 13-27 pmol/L 1.0-2.1 ng/dL
Transaminase (serum) -- AST (SGOT) 7-40 IU/L 7-40 mU/mL
 ALT (SGPT) 5-35 IU/L 5-35 mU/mL
Triiodothyronine, total (T3) (serum) 1.1-2.9 nmol/L 70-190 ng/dL
Triiodothyronine, free (FT3) (serum) 3.5-6.5 pmol/L 2.4-5.0 pg/mL
Triglycerides 0.45-1.71 mmol/L 40-150 mg/dL
Urea (plasma or serum) 2.9-8.2 mmol/L see Urea nitrogen
Urea nitrogen (BUN) (plasma or serum) see Urea 8-23 mg/dL
Uric acid (serum) (enzymatic) 120-420 μmol/L 2.0-7.0 mg/dL
"""

# method to extract lab values from text
def extract_lab_values(text: str, lab: str) -> List[]